Subject: bug#71866: 30.0.50; [macOS] Cursor hiding char behind it with certain theme customization

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Jul 2024 14:19:25 +0300

> Date: Tue, 23 Jul 2024 04:11:56 +0300
> From: Dmitry Gutov <[email-masked]>
> 
> > Is it possible you're seeing a white box cursor with white text
> > instead of a black box cursor with white text?
> 
> Perhaps if Emacs only uses the said "white box cursor" for the active 
> frame only? And only when certain characters are under the cursor?
> 
> TBF in my custom config I see a more advanced version of this (many/most 
> characters become blank under cursor after switching to some secondary 
> frame) - but still that doesn't seem to happen in non-selected frames.

That sounds like clipping to me.  (It should be followed by drawing in
the clipped region, but for some reason isn't.)  Emacs sometimes clips
and clears a region around the cursor if it thinks redrawing the
cursor will affect neighboring characters.